Package: java.time

## [Java] Class ZoneId

- java.time.ZoneId

-     public class ZoneId
      extends Object

  GDK enhancements for ZoneId.

  displayName:
    ZoneId
  receiverFqcn:
    java.time.ZoneId

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getFullName()` Returns the name of this zone formatted according to the TextStyle.FULL text style.
    `` | `public String` | `getFullName(Locale locale)` Returns the name of this zone formatted according to the TextStyle.FULL text style for the provided Locale.
    `` | `public ZoneOffset` | `getOffset()` Returns a ZoneOffset for this zone as of now.
    `` | `public ZoneOffset` | `getOffset(Instant instant)` Returns a ZoneOffset for this zone as of the provided Instant.
    `` | `public String` | `getShortName()` Returns the name of this zone formatted according to the TextStyle.SHORT text style.
    `` | `public String` | `getShortName(Locale locale)` Returns the name of this zone formatted according to the TextStyle.SHORT text style for the provided Locale.
    `` | `public ZonedDateTime` | `leftShift(LocalDateTime dateTime)` Returns a ZonedDateTime of this zone and the given LocalDateTime.
    `` | `public TimeZone` | `toTimeZone()` Returns a TimeZone equivalent to this zone.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public String getFullName()

      Returns the name of this zone formatted according to the TextStyle.FULL text style.

      Returns:
        the full display name of the ZoneId
      Since:
        2.5.0

    - #### public String getFullName(Locale locale)

      Returns the name of this zone formatted according to the TextStyle.FULL text style for the provided Locale.

      Parameters:
        `locale` - a Locale
      Returns:
        the full display name of the ZoneId
      Since:
        2.5.0

    - #### public ZoneOffset getOffset()

      Returns a ZoneOffset for this zone as of now.

      Returns:
        a ZoneOffset
      Since:
        2.5.0

    - #### public ZoneOffset getOffset(Instant instant)

      Returns a ZoneOffset for this zone as of the provided Instant.

      Parameters:
        `instant` - an Instant
      Returns:
        a ZoneOffset
      Since:
        2.5.0

    - #### public String getShortName()

      Returns the name of this zone formatted according to the TextStyle.SHORT text style.

      Returns:
        the short display name of the ZoneId
      Since:
        2.5.0

    - #### public String getShortName(Locale locale)

      Returns the name of this zone formatted according to the TextStyle.SHORT text style for the provided Locale.

      Parameters:
        `locale` - a Locale
      Returns:
        the short display name of the ZoneId
      Since:
        2.5.0

    - #### public ZonedDateTime leftShift(LocalDateTime dateTime)

      Returns a ZonedDateTime of this zone and the given LocalDateTime.

      Returns:
        a ZonedDateTime
      Since:
        2.5.0

    - #### public TimeZone toTimeZone()

      Returns a TimeZone equivalent to this zone.

      Returns:
        a TimeZone
      Since:
        2.5.0